Remove leftovers related to Xenial
[csit.git] / resources / libraries / bash / function / ansible.sh
index 663861e..431acc7 100644 (file)
@@ -17,6 +17,7 @@ set -exuo pipefail
 
 
 function ansible_hosts () {
+
     # Run ansible playbook on hosts in working topology file. Ansible scope is
     # determined by tags passed as parameters to this function.
     #
@@ -27,8 +28,7 @@ function ansible_hosts () {
     set -exuo pipefail
 
     if ! installed sshpass; then
-        sudo apt-get update -y || die "apt-get update failed!"
-        sudo apt-get install -y sshpass || die "Install sshpass failed!"
+        die "Please install sshpass!"
     fi
 
     if ! installed ansible-playbook; then
@@ -51,15 +51,15 @@ function ansible_hosts () {
 
 function installed () {
 
-    set -exuo pipefail
-
     # Check if the given utility is installed. Fail if not installed.
     #
     # Arguments:
     # - ${1} - Utility to check.
-    # Returns:
+    # Returns (implicitly):
     # - 0 - If command is installed.
     # - 1 - If command is not installed.
 
+    set -exuo pipefail
+
     command -v "${1}"
-}
\ No newline at end of file
+}